<script setup lang="ts">
import type { NewsOut } from "@/client";
import { useNameStore } from "@/stores";
import dayjs from "dayjs";
import MarkdownRenderer from "@/components/MarkdownRenderer.vue";

defineProps<{
  newsEvent: NewsOut;
}>();

const nameRepository = useNameStore();
</script>

<template>
  <h2>{{ newsEvent.title }}</h2>
  <markdown-renderer :markdown="newsEvent.content" />
  <p class="text-secondary">
    from {{ dayjs.unix(newsEvent.created_at).format("MMM DD, YYYY HH:mm") }}
    <template v-if="newsEvent.creator_id"
      >by {{ nameRepository.getName(newsEvent.creator_id) }}
    </template>
  </p>
</template>

<style scoped></style>
